Skip to main content
POST
Close

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

task_id
string
required

The ID of the task to close.

Body

application/json

The TaskActionsServiceCloseRequest object lets you close or cancel a task.

comment
string | null

An optional comment attached to the close action.

expandMask
Task Expand Mask · object | null

The task expand mask is an array of strings that specifes the related objects the requester wishes to have returned when making a request where the expand mask is part of the input. Use '*' to view all possible responses.

Response

200 - application/json

The TaskActionsServiceCloseResponse returns a task view with paths indicating the location of expanded items in the array.

The TaskActionsServiceCloseResponse returns a task view with paths indicating the location of expanded items in the array.

expanded
object[] | null
read-only

List of serialized related objects.

taskActionId
string | null
read-only

The ID of the task close action created by this request.

taskView
Task View · object | null

Contains a task and JSONPATH expressions that describe where in the expanded array related objects are located. This view can be used to display a fully-detailed dashboard of task information.